var diaryConfig = {
    diaryView: "month", diaryDate: new Date(1653388632 * 1000),
    minTime: "0", maxTime: "24", eventLimit: 0,
    googleCalendarUrl: "", googleCalendarEventColor: "#"
};
var AppConfig = {
    ajaxTimeOut: 60000,
    lang: "es",
    currency: "EUR", currencySymbol: "&euro;",
    decimals: "2", unitPriceDecimals: "2", decimalSeparator: ",", thousandsSeparator: ".",
    keepAlive: "",
    CSRFTokenKey: "9ace6f037101e57289c5ffe28380fcfdf4baaf80f46d950124b89d4d5d48b539",
    CSRFToken: "c25f755a7a8a6d290a6198026d51aa2a5e909bedd53bcaf9d0c3fafda17a5f59",
    CSRFTokenString: "9ace6f037101e57289c5ffe28380fcfdf4baaf80f46d950124b89d4d5d48b539=c25f755a7a8a6d290a6198026d51aa2a5e909bedd53bcaf9d0c3fafda17a5f59",
    CSRFTokenInput: '<input type="hidden" name="9ace6f037101e57289c5ffe28380fcfdf4baaf80f46d950124b89d4d5d48b539" value="c25f755a7a8a6d290a6198026d51aa2a5e909bedd53bcaf9d0c3fafda17a5f59"/>',
    fileUploadMaxSize: 52428800, fileDeniedExtendions: ["CSS","JS","BAT","EXE","PHP","CLASS","HTM","HTML","HTMLI","TPL","SQL","DLL","SH","PL","ASP","JSP","JSON"], imageAllowedExtensions: ["GIF","JPG","PNG","JPEG"],
    templateThemeVersion: 3, mobileDevice: 0, mobileVersion: 0,
    readOnlyUser: 0
};

$.ajaxSetup({
    "timeout": AppConfig.ajaxTimeOut,
    beforeSend: function (jqXHR, settings) {
        if (jQuery.type(settings.data) === "string" && settings.data !== "" && settings.data.indexOf(AppConfig.CSRFTokenString) === -1) {
            settings.data = AppConfig.CSRFTokenString + "&" + settings.data;
        } else if (jQuery.type(settings.type) === "string" && jQuery.type(settings.url) === "string" && settings.type === "GET") {
            settings.url = addCSRFToken(settings.url);
        }
        return true;
    }
});

$(function ()
{
    addCSRFTokens();
    $(document).ajaxComplete(function () {
        addCSRFTokens();
    });
});

function addCSRFTokens() {
    $("form").each(function () {
        if (!$(this).find("input[name=" + AppConfig.CSRFTokenKey + "]").length) {
            $(this).prepend(AppConfig.CSRFTokenInput);
        }
    });

    $("a").each(function () {
        $(this).attr("href", addCSRFToken($(this).attr("href")));
    });
}

function addCSRFToken(url) {
    if (typeof url !== "string") {
        return url;
    }
    if (url.indexOf(AppConfig.CSRFTokenString) === -1 && (url.toLowerCase().indexOf("cmd=") !== -1 || url.toLowerCase().indexOf("class=") !== -1 || url.toLowerCase().indexOf("callerClass=") !== -1 || url.toLowerCase().indexOf("method=") !== -1)) {
        url = url + '&' + AppConfig.CSRFTokenString;
    }
    return url;
}